<?php namespace Hurrytimer; ?>
<div id="hurrytimer-styling-general-tab" class="hurrytimer-subtabcontent">

    <div class="hurrytimer-style-control-group hurrytimer-accordion-item active">

        <div class="hurrytimer-style-control-title hurrytimer-accordion-heading">
            <h3>Digit</h3>
        </div>

        <div class="hurrytimer-style-control-fields hurrytimer-accordion-content">

            <div class="hurrytimer-style-control-field">

                <div class="hurrytimer-style-control-label">
                    <?php use Hurrytimer\Utils\Form;

                    _e('Color', "hurrytimer") ?>
                </div>

                <div class="hurrytimer-style-control-input">
                    <?php echo Form::colorInput('digit_color', $campaign->digitColor) ?>
                </div>

            </div>
            <!-- control item -->
            <div class="hurrytimer-style-control-field">
                <div class="hurrytimer-style-control-label">
                    <?php _e('Size', "hurrytimer") ?>
                </div>
                <div class="hurrytimer-style-control-input">
                    <div class="hurrytimer-input-slider" data-input-name="digit_size"></div>

                    <input
                            type="number"
                            name="digit_size"
                            max="100"
                            min="0"
                            value="<?php echo $campaign->digitSize ?>">
                </div>
            </div>
        </div>
    </div>
    <div class="hurrytimer-style-control-group hurrytimer-accordion-item">
        <div class="hurrytimer-style-control-title hurrytimer-accordion-heading">
            <h3>Label</h3></div>
        <div class="hurrytimer-style-control-fields hurrytimer-accordion-content">

            <div class="hurrytimer-style-control-field">
                <div class="hurrytimer-style-control-label">
                    <label>
                        <?php _e('Size', "hurrytimer") ?>
                    </label>
                </div>
                <div class="hurrytimer-style-control-input">
                    <div class="hurrytimer-input-slider"
                         data-input-name="label_size">
                    </div>
                    <input
                            type="number"
                            min="0"
                            max="100"
                            name="label_size"
                            value="<?php echo $campaign->labelSize ?>">
                </div>
            </div>
            <div class="hurrytimer-style-control-field">
                <div class="hurrytimer-style-control-label">
                    <?php _e('Color', "hurrytimer") ?>
                </div>
                <div class="hurrytimer-style-control-input">
                    <?php echo Form::colorInput('label_color', $campaign->labelColor) ?>
                </div>
            </div>
            <div class="hurrytimer-style-control-field">
                <div class="hurrytimer-style-control-label">
                    <?php _e('Letter case', "hurrytimer") ?>
                </div>
                <div class="hurrytimer-style-control-input">
                    <select name="label_case">
                        <option value="<?php echo C::TRANSFORM_NONE ?>"
                            <?php echo selected($campaign->labelCase, C::TRANSFORM_NONE) ?>>
                            None
                        </option>
                        <option value="<?php echo C::TRANSFORM_UPPERCASE ?>"
                            <?php echo selected($campaign->labelCase, C::TRANSFORM_UPPERCASE) ?>>
                            Uppercase
                        </option>
                        <option value="<?php echo C::TRANSFORM_LOWERCASE ?>"
                            <?php echo selected($campaign->labelCase, C::TRANSFORM_LOWERCASE) ?>>
                            Lowercase
                        </option>
                    </select>
                </div>
            </div>
        </div>
    </div>

    <div class="hurrytimer-style-control-group hurrytimer-accordion-item">
        <div class="hurrytimer-style-control-title hurrytimer-accordion-heading">
            <h3>Block
                <?php //removeIf(pro) ?>
                <span class="hurryt-locked-feat-label">LOCKED</span>
                <?php //endRemoveIf(pro) ?>
            </h3>
        </div>

        <div class="hurrytimer-style-control-fields hurrytimer-accordion-content"
            <?php //removeIf(pro) ?>
             data-locked-feat="on"
            <?php //endRemoveIf(pro) ?>
            >
            <?php //removeIf(pro) ?>
            <div class="hurryt-upgrade-alert hurryt-upgrade-alert-inline">
                <div class="hurryt-upgrade-alert-header">
                    <span class="dashicons dashicons-lock"></span>
                    <h3>Block Customization is a pro feature</h3></div>
                <div class="hurryt-upgrade-alert-body">Block has many styling controls to create unlimited customizations including: size, background, border, spacing, padding, and more.
                </div>
                <div class="hurryt-upgrade-alert-footer">
                    <a class="hurryt-button button" href="#">Upgrade now</a>
                    <a href="https://hurrytimer.com/pricing" class="button ">Learn more</a>
                </div>
            </div>
            <?php //endRemoveIf(pro) ?>

            <div class="hurrytimer-style-control-field">
                <div class="hurrytimer-style-control-label">
                    <?php _e('Background color', "hurrytimer") ?>
                </div>
                <div class="hurrytimer-style-control-input">
                    <?php echo Form::colorInput('block_bg_color', $campaign->blockBgColor) ?>
                </div>
            </div>
            <div class="hurrytimer-style-control-field">
                <div class="hurrytimer-style-control-label">
                    <?php _e('Size (px)', "hurrytimer") ?>
                </div>
                <div class="hurrytimer-style-control-input">
                    <div class="hurrytimer-input-slider" data-input-name="block_size"></div>
                    <input
                            type="number"
                            max="200"
                            min="0"
                            name="block_size"
                            value="<?php echo $campaign->blockSize ?>">
                </div>
            </div>

            <div class="hurrytimer-style-control-field">
                <div class="hurrytimer-style-control-label">
                    <?php _e('Padding (px)', "hurrytimer") ?>
                </div>
                <div class="hurrytimer-style-control-input">
                    <div class="hurrytimer-input-slider" data-input-name="block_padding"></div>

                    <input
                            type="number"
                            min="0"
                            max="100"
                            name="block_padding"
                            value="<?php echo $campaign->blockPadding ?>">
                </div>
            </div>
            <div class="hurrytimer-style-control-field">
                <div class="hurrytimer-style-control-label">
                    <?php _e('Spacing (px)', "hurrytimer") ?>
                </div>
                <div class="hurrytimer-style-control-input">
                    <div class="hurrytimer-input-slider"
                         data-input-name="block_spacing"></div>
                    <input
                            type="number"
                            min="0"
                            max="100"
                            name="block_spacing"
                            value="<?php echo $campaign->blockSpacing ?>">
                </div>
            </div>

            <div class="hurrytimer-style-control-field">
                <div class="hurrytimer-style-control-label">
                    <?php _e('Border color', "hurrytimer") ?>
                </div>
                <div class="hurrytimer-style-control-input">

                    <?php echo Form::colorInput('block_border_color',
                        $campaign->blockBorderColor) ?>

                </div>
            </div>

            <div class="hurrytimer-style-control-field">
                <div class="hurrytimer-style-control-label">
                    <?php _e('Border width', "hurrytimer") ?>
                </div>
                <div class="hurrytimer-style-control-input">
                    <div class="hurrytimer-input-slider" data-input-name="block_border_width"></div>
                    <input
                            min="0"
                            max="50"
                            type="number"
                            name="block_border_width"
                            value="<?php echo $campaign->blockBorderWidth ?>">
                </div>
            </div>
            <div class="hurrytimer-style-control-field ">
                <div class="hurrytimer-style-control-label">
                    <?php _e('Border radius', "hurrytimer") ?>
                </div>
                <div class="hurrytimer-style-control-input">
                    <div class="hurrytimer-input-slider"
                         data-input-name="block_border_radius"></div>
                    <input
                            type="number"
                            min="0"
                            name="block_border_radius"
                            value="<?php echo $campaign->blockBorderRadius ?>">
                </div>
            </div>
        </div>
    </div>

    <div class="hurrytimer-style-control-group hurrytimer-accordion-item">
        <div class=" hurrytimer-style-control-title hurrytimer-accordion-heading">
            <h3>Headline</h3></div>
        <div class="hurrytimer-style-control-fields hurrytimer-accordion-content">

            <div class="hurrytimer-style-control-field">
                <div class="hurrytimer-style-control-label">
                    <label><?php _e('Size', "hurrytimer") ?></label>
                </div>
                <div class="hurrytimer-style-control-input">
                    <div class="hurrytimer-input-slider" data-input-name="headline_size"></div>
                    <input type="number"
                           name="headline_size"
                           min="0"
                           max="100"
                           value="<?php echo $campaign->headlineSize ?>">
                </div>
            </div>

            <div class="hurrytimer-style-control-field">
                <div class="hurrytimer-style-control-label">
                    <?php _e('Color', "hurrytimer") ?>
                </div>
                <div class="hurrytimer-style-control-input">

                    <?php echo Form::colorInput('headline_color', $campaign->headlineColor) ?>

                </div>
            </div>
            <div class="hurrytimer-style-control-field">
                <div class="hurrytimer-style-control-label">
                    <?php _e('Position', "hurrytimer") ?>
                </div>
                <div class="hurrytimer-style-control-input">

                    <select name="headline_position" id="hurrytimer-headline-position">
                        <option value="<?php echo C::HEADLINE_POSITION_ABOVE_TIMER ?>" <?php echo selected($campaign->headlinePosition,
                            C::HEADLINE_POSITION_ABOVE_TIMER) ?>><?php _e('Above timer',
                                'hurrytimer') ?></option>
                        <option value="<?php echo C::HEADLINE_POSITION_BELOW_TIMER ?>" <?php echo selected($campaign->headlinePosition,
                            C::HEADLINE_POSITION_BELOW_TIMER) ?>><?php _e('Below timer',
                                'hurrytimer') ?></option>
                    </select>

                </div>
            </div>
        </div>
    </div>
</div>
