"use strict";

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

(function ($) {
  'use strict';

  var styles = {};
  var campaignPreviewRef = $('.hurrytimer-campaign');
  var headlinePreviewRef = campaignPreviewRef.find('.hurrytimer-headline');
  var timerPreviewRef = campaignPreviewRef.find('.hurrytimer-timer');
  var timerDigitPreviewRef = campaignPreviewRef.find('.hurrytimer-timer-digit');
  var timerLabelPreviewRef = campaignPreviewRef.find('.hurrytimer-timer-label');
  var timerBlockPreviewRef = campaignPreviewRef.find('.hurrytimer-timer-block');
  var timerSepPreviewRef = campaignPreviewRef.find('.hurrytimer-timer-sep');

  function setCSS(element, property, value) {
    var apply = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : true;
    styles = _objectSpread({}, styles, _defineProperty({}, element.selector, _objectSpread({}, styles[element.selector], _defineProperty({}, property, value))));

    if (apply) {
      if ($('#hurryt-styles').length === 0) {
        $('head').append('<style id="hurryt-styles"></style>');
      }

      var css = '';

      for (var selector in styles) {
        css += " ".concat(selector, "{ ").concat(Object.entries(styles[selector]).join(';').replace(/\,/g, ':'), "}");
      }

      $('#hurryt-styles').html(css);
    }
  }
  /* Input toggle.
  ------------------------------------------------
  */


  $('.js-hurrytimer-input-toggle').each(function () {
    var input = $(this);
    input.hide();
    var toggle = $("<input \n                      type=\"hidden\" \n                      name=\"".concat(input.attr('name'), "\" \n                      value=\"no\" />\n                      <span \n                      class=\"hurrytimer-input-toggle\">\n                      </span>"));
    input.before(toggle);

    if (input.prop('checked')) {
      toggle.addClass('is-on');
    }

    toggle.on('click', function () {
      toggle.toggleClass('is-on');
      input.attr('checked', !input.prop('checked'));
      input.trigger('change');
    });
  }); // Datetime picker.
  // ------------------------------------------------------------

  $('.hurrytimer-datepicker').datetimepicker({
    controlType: 'select',
    dateFormat: 'yy-mm-dd',
    timeFormat: 'hh:mm TT',
    oneLine: true
  }); // Handle mode toggle.
  // ------------------------------------------------------------

  function handleMode(elementRef) {
    var evergreenModeSubfields = $('.hurryt-evergreen-mode-subfields');
    var regularModeSubfields = $('.hurryt-regular-mode-subfields');

    if (parseInt(elementRef.val()) === hurrytimer_ajax_object.mode.evergreen) {
      evergreenModeSubfields.removeClass('hidden');
      regularModeSubfields.addClass('hidden');
    } else {
      evergreenModeSubfields.addClass('hidden');
      regularModeSubfields.removeClass('hidden');
    }
  } // Handle mode.


  $('input[name=mode]').on('change', function () {
    handleMode($(this));
  });
  handleMode($('input[name=mode]:checked')); // Handle products type dropdown.
  // ------------------------------------------------------------

  $('#hurrytimer-wc-products-selection-type').on('change', function () {
    var $this = $(this);
    var $selectedOption = $this.find('option:selected');
    var $label = $('.hurrytimer-products-selection-type-label');
    var $autocompleteWrap = $label.closest('.form-field');

    if ($selectedOption.data('show-autocomplete')) {
      $label.text($selectedOption.text());
      $autocompleteWrap.removeClass('hidden');
    } else {
      $autocompleteWrap.addClass('hidden');
    }
  }).change(); // Handle tabs
  // ------------------------------------------------------------

  $('.hurrytimer-tabbar a').on('click', function (e) {
    e.preventDefault();
    var $tab = $(this);
    $('.hurrytimer-tabcontent').removeClass('active');
    $($tab.attr('href')).addClass('active');
    $tab.parent().siblings().removeClass('active');
    $tab.parent().addClass('active');
  }); // Search for products/Categories
  // ------------------------------------------------------------
  // if ($.select2) {

  $('#hurrytimer-wc-products-selection').select2({
    placeholder: 'Search...',
    width: '500',
    minimumInputLength: 2,
    ajax: {
      url: hurrytimer_ajax_object.ajax_url,
      dataType: 'json',
      data: function data(params) {
        return {
          action: 'wcSearchProducts',
          search: params.term,
          exclude: $(this).val(),
          productsSelection: $('#hurrytimer-wc-products-selection-type').val(),
          type: 'public'
        };
      }
    }
  }); // }
  // Color picker
  // ------------------------------------------------------------

  $('.hurrytimer-color-input').each(function () {
    var self = $(this);
    self.iris({
      change: function change(event) {
        changeColor(self, event.target.value);
      },
      clear: function clear() {
        changeColor(self, '#000');
      },
      hide: true,
      border: true
    }).on('click focus', function (event) {
      event.stopPropagation();
      $('.iris-picker').hide();
      $(this).parent().find('.iris-picker').show();
    });
  });
  /**
   * Change preview color.
   *
   * @param {object} inputElement
   * @param {string} color
   */

  function changeColor(inputElement) {
    var color = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';

    if (typeof inputElement === 'string') {
      inputElement = $('input[name=' + inputElement + ']');
    }

    color = color || inputElement.val();
    var preview = inputElement.parent().find('.hurrytimer-color-preview');
    preview.css('background-color', color);
    setCSS(preview, 'background-color', color);

    switch (inputElement.attr('name')) {
      case 'digit_color':
        setCSS(timerDigitPreviewRef, 'color', color, false);
        setCSS(timerSepPreviewRef, 'color', color);
        break;

      case 'block_border_color':
        setCSS(timerBlockPreviewRef, 'border-color', color);
        break;

      case 'block_bg_color':
        setCSS(timerBlockPreviewRef, 'background-color', color);
        break;

      case 'label_color':
        setCSS(timerLabelPreviewRef, 'color', color);
        break;

      case 'headline_color':
        setCSS(headlinePreviewRef, 'color', color);
    }
  } // Initialize preview items color.
  // ------------------------------------------------------------


  changeColor('digit_color');
  changeColor('label_color');
  changeColor('block_border_color');
  changeColor('block_bg_color');
  changeColor('headline_color'); // Handle settings tabs
  // ------------------------------------------------------------
  $('.hurrytimer-subtabbar a').on('click', function (e) {
    e.preventDefault();
    var self = $(this);
    $('.hurrytimer-subtabcontent').each(function () {
      $(this).removeClass('active');
    });
    $(self.attr('href')).addClass('active');
    self.parent().siblings().removeClass('active');
    self.parent().addClass('active'); }); // Accordion.
  // ------------------------------------------------------------

  $('.hurrytimer-accordion-heading').on('click', function () {
    var self = $(this);
    var containerElement = self.parent();

    if (containerElement.hasClass('active')) {
      containerElement.removeClass('active');
    } else {
      containerElement.addClass('active').siblings().removeClass('active');
    }
  }); // Visual style editor.
  // ------------------------------------------------------------

  $('input[name=digit_size]').on('input keyup paste change', function () {
    var fontSize = parseInt($(this).val()) + 'px';
    setCSS(timerDigitPreviewRef, 'font-size', fontSize, false);
    setCSS(timerSepPreviewRef, 'font-size', fontSize);
  }).change();
  $('input[name=block_spacing]').on('input keyup paste change', function () {
    var spacing = parseInt($(this).val()) + 'px'; //    timerBlockPreviewRef.css(
    //      { 'margin-left': spacing, 'margin-right': spacing });

    setCSS(timerBlockPreviewRef, 'margin-left', spacing, false);
    setCSS(timerBlockPreviewRef, 'margin-right', spacing);
  }).change();
  $('input[name=block_padding]').on('input keyup paste change', function () {
    var padding = parseInt($(this).val()) + 'px';
    setCSS(timerBlockPreviewRef, 'padding', padding);
  }).change();
  $('input[name=label_size]').on('input keyup paste change', function () {
    setCSS(timerLabelPreviewRef, 'font-size', parseInt($(this).val()) + 'px');
  }).change();
  $('input[name=block_border_width]').on('input keyup paste change', function () {
    var borderSize = parseInt($(this).val());
    var borderColor = $('input[name=block_border_color]').val() || 'transparent';
    setCSS(timerBlockPreviewRef, 'border', borderColor + ' solid ' + borderSize + 'px');
  }).change();
  $('input[name=block_border_radius]').on('input keyup paste change', function () {
    //      timerBlockPreviewRef.css({ 'border-radius': $(this).val() + 'px' });
    setCSS(timerBlockPreviewRef, 'border-radius', "".concat($(this).val(), "px"));
  }).change();
  $('input[name=block_size]').on('input keyup paste change', function () {
    var value = parseInt($(this).val());
    var size = value + 'px';

    if (value === 0) {
      size = 'auto';
    }

    setCSS(timerBlockPreviewRef, 'width', size, false);
    setCSS(timerBlockPreviewRef, 'height', size);
  }).change(); // Bind post title input (headline) to preview.

  $('input[name=post_title]').on('input paste keyup change', function () {
    headlinePreviewRef.html($(this).val().trim());
  }).change();
  $('select[name=headline_position]').on('change', function () {
    if (parseInt($(this).val()) === hurrytimer_ajax_object.headline_pos.above_timer) {
      headlinePreviewRef.after(timerPreviewRef);
    } else {
      headlinePreviewRef.before(timerPreviewRef);
    }
  }).change();
  $('input[name=headline_size]').on('input keyup paste change', function () {
    setCSS(headlinePreviewRef, 'font-size', parseInt($(this).val()) + 'px');
  }).change();
  $('select[name=label_case]').on('change', function () {
    setCSS(timerLabelPreviewRef, 'text-transform', $(this).val());
  }).change();
  $('input[name=block_separator_visibility]').on('change', function () {
    var self = $(this);

    if (!self.is(':checked')) {
      timerSepPreviewRef.addClass('hidden');
      return;
    }

    timerBlockPreviewRef.each(function () {
      if ($(this).hasClass('hidden')) {
        $(this).next().addClass('hidden');
      } else {
        $(this).next().removeClass('hidden');
      }
    });
  }).change();
  $('#hurrytimer-days-visibility').on('change', function () {
    toggleBlockVisibility($(this), campaignPreviewRef.find('[data-block=days]'));
  }).change();
  $('#hurrytimer-hours-visibility').on('change', function () {
    toggleBlockVisibility($(this), campaignPreviewRef.find('[data-block=hours]'));
  }).change();
  $('#hurrytimer-minutes-visibility').on('change', function () {
    toggleBlockVisibility($(this), campaignPreviewRef.find('[data-block=minutes]'));
  }).change();
  $('#hurrytimer-seconds-visibility').on('change', function () {
    toggleBlockVisibility($(this), campaignPreviewRef.find('[data-block=seconds]'));
  }).change();
  $('#hurrytimer-headline-visibility').on('change', function () {
    if ($(this).is(':checked')) {
      headlinePreviewRef.removeClass('hidden');
    } else {
      headlinePreviewRef.addClass('hidden');
    }
  }).change();
  /*
  Toggle label visibility.
  --------------------------------------------------------
   */

  $('#hurrytimer-label-visibility').on('change', function () {
    if ($(this).is(':checked')) {
      timerLabelPreviewRef.removeClass('hidden');
    } else {
      timerLabelPreviewRef.addClass('hidden');
    }
  }).change();

  function toggleBlockVisibility(toggle, block) {
    if (toggle.is(':checked')) {
      block.removeClass('hidden');

      if ($('input[name=block_separator_visibility]').is(':checked')) {
        block.next().removeClass('hidden');
      }
    } else {
      block.addClass('hidden');
      block.next().addClass('hidden');
    }
  } // Input slider.
  // ------------------------------------------------------------


  var blockSizeSliderElement;
  var blockSizeInputElement;
  $('.hurrytimer-input-slider').each(function () {
    var self = $(this);
    var boundInputElement = $('input[name=' + self.data('input-name') + ']');
    var min = parseInt(boundInputElement.attr('min')) || 0;
    var max = parseInt(boundInputElement.attr('max')) || 100;

    if (boundInputElement.attr('name') === 'block_size') {
      min = parseInt($('input[name=digit_size]').val()) || min;
      blockSizeSliderElement = self;
      blockSizeInputElement = boundInputElement;
    }

    self.slider({
      slide: function slide(event, ui) {
        boundInputElement.val(ui.value);
        boundInputElement.trigger('input');

        if (boundInputElement.attr('name') === 'digit_size') {
          $('input[name=block_size]').attr('min', ui.value);
          blockSizeSliderElement.slider('option', 'min', ui.value);

          if (blockSizeInputElement.val() < ui.value) {
            blockSizeSliderElement.slider('option', 'value', ui.value);
            blockSizeInputElement.val(ui.value);
            blockSizeInputElement.trigger('input');
          }
        }
      },
      max: max,
      min: min,
      value: boundInputElement.val()
    });
  }); // ------------------------------------------------------------

  $('body').on('click', function () {
    $('.iris-picker').hide();
  });
  $('#hurrytimer-new-action').on('click', function () {
    //removeIf(pro)
    if ($('.hurrytimer-action-block').length === 1) {
      $('#hurryt-upgrade-alert-actions-feat').modal({
        closeExisting: true,
        closeClass: 'hurryt-upgrade-alert-close',
        closeText: ''
      });
      return;
    } //endRemoveIf(pro)


    var action = $('.hurrytimer-action-block').last().clone(true, true);
    action.find('.hurrytimer-action-block-subfields').addClass('hidden');
    var fields = action.find(':input');

    for (var i = 0; i < fields.length; i++) {
      fields[i].name = fields[i].name.replace(/actions\[(\d+)\]\[(\w+)\]/, function (fm, i, name) {
        return 'actions[' + ++i + '][' + name + ']';
      });
    }

    $(this).parent().before(action);
  });
  $('#hurrytimer-actions').on('change', '.hurrytimer-action-select', function () {
    handleActionChange($(this));
  });
  $('.hurrytimer-action-select').each(function () {
    handleActionChange($(this));
  });

  function handleActionChange(element) {
    var action = element.find('option:selected');

    if (+action.val() === 4 && +$('.hurrytimer-mode:checked').val() === 2) {
      element.next('.hurryt-compat-info').removeClass('hidden');
    } else {
      element.next('.hurryt-compat-info').addClass('hidden');
    }

    var block = element.closest('.hurrytimer-action-block');
    block.find('.hurrytimer-action-block-subfields').addClass('hidden');
    block.find('.' + action.data('subfields')).removeClass('hidden');
  }

  $('#hurrytimer-actions').on('click', '.hurrytimer-delete-action', function () {
    if ($('.hurrytimer-action-block').length === 1) return;
    $(this).closest('.hurrytimer-action-block').remove();
  });
  $('input[name="labels[days]"]').on('input keyup paste', function () {
    campaignPreviewRef.find('[data-block=days] .hurrytimer-timer-label').text($(this).val());
  }).trigger('input');
  $('input[name="labels[hours]"]').on('input keyup paste', function () {
    campaignPreviewRef.find('[data-block=hours] .hurrytimer-timer-label').text($(this).val());
  }).trigger('input');
  $('input[name="labels[minutes]"]').on('input keyup paste', function () {
    campaignPreviewRef.find('[data-block=minutes] .hurrytimer-timer-label').text($(this).val());
  }).trigger('input');
  $('input[name="labels[seconds]"]').on('input keyup paste', function () {
    campaignPreviewRef.find('[data-block=seconds] .hurrytimer-timer-label').text($(this).val());
  }).trigger('input');
})(jQuery);
//# sourceMappingURL=admin.js.map
